/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.TipoCortesia;
import com.rjconsultores.ventaboletos.entidad.TipoCortesiaDescuento;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * @author Shiro
 */
public interface TipoCortesiaDescuentoService extends
        GenericService<TipoCortesiaDescuento, Integer> {

    public List<TipoCortesiaDescuento> pesquisar(TipoCortesia tipoCortesia);

    public List<TipoCortesiaDescuento> Onchangue(TipoCortesia tp);

    public List<TipoCortesiaDescuento> buscar(BigDecimal porcentaje,
            TipoCortesia tipoCortesia);

    public List<TipoCortesiaDescuento> obtenerTipoCortesia(int i);
}
